QuickFIX: FIX::UtcTimeOnlyField Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::UtcTimeOnlyField Class Reference

Field that contains a UTC time value. More...

`#include <Field.h>`

Inheritance diagram for FIX::UtcTimeOnlyField:
[legend]
Collaboration diagram for FIX::UtcTimeOnlyField:
[legend]

List of all members.

## Public Member Functions
| UtcTimeOnlyField (int field, const UtcTimeOnly &data, bool showMilliseconds=false)
| UtcTimeOnlyField (int field, bool showMilliseconds=false)
void | setValue (UtcTimeOnly &value)
UtcTimeOnly | getValue () const throw ( IncorrectDataFormat )
| Get the string representation of the Field (i.e.) 55=MSFT[SOH].
| operator UtcTimeOnly () const
bool | operator< (const UtcTimeOnlyField &rhs) const
| Compares fields based on thier tag numbers.
bool | operator== (const UtcTimeOnlyField &rhs) const
bool | operator!= (const UtcTimeOnlyField &rhs) const

## Detailed Description

Field that contains a UTC time value.

Definition at line 388 of file Field.h.

## Constructor & Destructor Documentation

FIX::UtcTimeOnlyField::UtcTimeOnlyField | ( | int | field,
|  | const UtcTimeOnly & | data,
|  | bool | showMilliseconds = `false` |
| ) |  |  | `[inline, explicit]`

Definition at line 391 of file Field.h.

    00392 : FieldBase( field, UtcTimeOnlyConvertor::convert( data, showMilliseconds ) ) {}

FIX::UtcTimeOnlyField::UtcTimeOnlyField | ( | int | field,
|  | bool | showMilliseconds = `false` |
| ) |  |  | `[inline]`

Definition at line 393 of file Field.h.

    00394 : FieldBase( field, UtcTimeOnlyConvertor::convert( UtcTimeOnly(), showMilliseconds ) ) {}

## Member Function Documentation

UtcTimeOnly FIX::UtcTimeOnlyField::getValue | ( |  | ) | const throw ( IncorrectDataFormat )`[inline]`

Get the string representation of the Field (i.e.) 55=MSFT[SOH].

Reimplemented from FIX::FieldBase.

Definition at line 398 of file Field.h.

Referenced by operator!=(), operator<(), and operator==().

    00399     { try
    00400       { return UtcTimeOnlyConvertor::convert( getString() ); }
    00401       catch( FieldConvertError& )
    00402       { throw IncorrectDataFormat( getField(), getString() ); } }

FIX::UtcTimeOnlyField::operator UtcTimeOnly | ( |  | ) | const`[inline]`

Definition at line 403 of file Field.h.

    00404     { return getValue(); }

bool FIX::UtcTimeOnlyField::operator!= | ( | const UtcTimeOnlyField & | rhs | ) | const`[inline]`

Definition at line 410 of file Field.h.

References getValue().

    00411     { return getValue() != rhs.getValue(); }

bool FIX::UtcTimeOnlyField::operator< | ( | const UtcTimeOnlyField & | field | ) | const`[inline]`

Compares fields based on thier tag numbers.

Reimplemented from FIX::FieldBase.

Definition at line 406 of file Field.h.

References getValue().

    00407     { return getValue() < rhs.getValue(); }

bool FIX::UtcTimeOnlyField::operator== | ( | const UtcTimeOnlyField & | rhs | ) | const`[inline]`

Definition at line 408 of file Field.h.

References getValue().

    00409     { return getValue() == rhs.getValue(); }

void FIX::UtcTimeOnlyField::setValue | ( | UtcTimeOnly & | value | ) | `[inline]`

Definition at line 396 of file Field.h.

    00397     { setString( UtcTimeOnlyConvertor::convert( value ) ); }

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/Field.h